## com.trilead.ssh2.packets
Class PacketSessionExecCommand

    java.lang.Object
      com.trilead.ssh2.packets.PacketSessionExecCommand

    public class PacketSessionExecCommand

extends java.lang.Object

PacketSessionExecCommand.

Field Summary
`java.lang.String` `command`
`int` `recipientChannelID`
`boolean` `wantReply`

Constructor Summary
`PacketSessionExecCommand(int recipientChannelID, boolean wantReply, java.lang.String command)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipientChannelID

    public int recipientChannelID

### wantReply

    public boolean wantReply

### command

    public java.lang.String command

Constructor Detail

### PacketSessionExecCommand

    public PacketSessionExecCommand(int recipientChannelID,
                                    boolean wantReply,
                                    java.lang.String command)

Method Detail

### getPayload

    public byte[] getPayload()